GNU Radio's GSM Package: gr::gsm::chan_info Class Reference

GNU Radio's GSM Package

Public Member Functions | Public Attributes | List of all members
gr::gsm::chan_info Class Reference

`#include <extract_system_info_impl.h>`

## Public Member Functions
| chan_info ()
| chan_info (const chan_info &info)
| ~chan_info ()
void | copy_nonzero_elements (const chan_info &info)

## Public Attributes
unsigned int | id
int8_t | pwr_db
unsigned int | arfcn
unsigned int | lac
unsigned int | cell_id
unsigned int | mcc
unsigned int | mnc
unsigned int | ccch_conf
std::set< int > | neighbour_cells
std::set< int > | cell_arfcns

## Constructor & Destructor Documentation

## ◆ chan_info() [1/2]

gr::gsm::chan_info::chan_info | ( |  | ) |
| inline

## ◆ chan_info() [2/2]

gr::gsm::chan_info::chan_info | ( | const chan_info & | info | ) |
| inline

## ◆ ~chan_info()

gr::gsm::chan_info::~chan_info | ( |  | ) |
| inline

## Member Function Documentation

## ◆ copy_nonzero_elements()

void gr::gsm::chan_info::copy_nonzero_elements | ( | const chan_info & | info | ) |
| inline

References arfcn, ccch_conf, cell_id, id, lac, mcc, mnc, and pwr_db.

## Member Data Documentation

## ◆ arfcn

unsigned int gr::gsm::chan_info::arfcn

Referenced by copy_nonzero_elements().

## ◆ ccch_conf

unsigned int gr::gsm::chan_info::ccch_conf

Referenced by copy_nonzero_elements().

## ◆ cell_arfcns

std::set<int> gr::gsm::chan_info::cell_arfcns

## ◆ cell_id

unsigned int gr::gsm::chan_info::cell_id

Referenced by copy_nonzero_elements().

## ◆ id

unsigned int gr::gsm::chan_info::id

Referenced by copy_nonzero_elements(), and gr::gsm::compare_id::operator()().

## ◆ lac

unsigned int gr::gsm::chan_info::lac

Referenced by copy_nonzero_elements().

## ◆ mcc

unsigned int gr::gsm::chan_info::mcc

Referenced by copy_nonzero_elements().

## ◆ mnc

unsigned int gr::gsm::chan_info::mnc

Referenced by copy_nonzero_elements().

## ◆ neighbour_cells

std::set<int> gr::gsm::chan_info::neighbour_cells

## ◆ pwr_db

int8_t gr::gsm::chan_info::pwr_db

Referenced by copy_nonzero_elements(), and gr::gsm::compare_pwr::operator()().

The documentation for this class was generated from the following file:

- extract_system_info_impl.h